textures/lumos/ciel
{			
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 0.6 0 80 90 30
	q3map_lightimage textures/zistower/blanc.tga
	q3map_surfacelight 60
	q3map_backsplash -1 0
	q3map_lightsubdivide 2048
	qer_editorimage textures/lumos/bleu.tga
	skyparms env/lumos 3000 -

//	{
//		map textures/lumos/nuages.tga
//		BlendFunc add
//		tcmod scale 0.2 0.2
//		tcMod scroll 0.01 0.01
//	}
}

textures/lumos/brouillard
{
	qer_editorimage textures/sfx/fog_grey.tga
	qer_trans .3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nodrop
	fogparms ( 0 0 0 ) 384
}

textures/lumos/mer
{
	qer_editorimage textures/liquids/pool3d_5e.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nodrop
	cull disable
	tesssize 1024
	deformVertexes wave 1024 sin .25 12 0 .25

//	{
//		map textures/lumos/bleu.tga
//		blendfunc add
//	}
	{
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lumos/water_nodraw
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nodrop
	cull disable
}

// *********************************************************

//	*************************************************
//	*      	
//	*   sol terrain shaders
//	*	
//	*************************************************


textures/lumos/sol_0

{
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/lumos/sol_0.tga
		tcmod scale 0.2 0.2
		rgbGen vertex
	}
	
	{
                map textures/lumos/nuages2.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
                tcMod scroll -0.01 0.01
//		tcmod transform 1 0 1 1 1 1
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	
}

textures/lumos/sol_1

{
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/lumos/sol_1.tga
		tcmod scale 0.15 0.15
		rgbGen vertex    
	}

	{
                map textures/lumos/nuages2.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
                tcMod scroll -0.01 0.01
//		tcmod transform 1 0 1 1 1 1
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/lumos/sol_2
{
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/lumos/sol_2.tga
		tcmod scale 0.2 0.2
		rgbGen vertex
	}

	{
                map textures/lumos/nuages2.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
                tcMod scroll -0.01 0.01
//		tcmod transform 1 0 1 1 1 1
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lumos/sol_0to1

{
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/lumos/sol_0.tga
		tcmod scale 0.05 0.05
		rgbGen vertex
		alphaGen vertex
	}

	{
		map textures/lumos/sol_1.tga
		tcmod scale 0.0375 0.0375
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
                map textures/lumos/nuages2.tga
		blendfunc filter
		detail
		tcmod scale 0.0025 0.0025
                tcMod scroll -0.01 0.01
//		tcmod transform 1 0 1 1 1 1
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/lumos/sol_0to2
{
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/lumos/sol_0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.05 0.05
	}
	{
		map textures/lumos/sol_2.tga
		rgbGen vertex
		alphaGen vertex
                tcmod scale 0.05 0.05
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
                map textures/lumos/nuages2.tga
		blendfunc filter
		detail
		tcmod scale 0.0025 0.0025
                tcMod scroll -0.01 0.01
//		tcmod transform 1 0 1 1 1 1
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/lumos/sol_1to2
{
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/lumos/sol_1.tga
		rgbGen vertex
		alphaGen vertex
	}

	{
		map textures/lumos/sol_2.tga
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
                map textures/lumos/nuages2.tga
		blendfunc filter
		detail
		tcmod scale 0.01 0.01
                tcMod scroll -0.01 0.01
//		tcmod transform 1 0 1 1 1 1
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/lumos/rouge_trans
{
	qer_editorimage textures/lumos/rouge2.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map textures/lumos/rouge2.tga
		tcMod scroll 0.5 0.5
		blendfunc add
	}
}

textures/lumos/bluesprite
{
	qer_editorimage textures/lumos/blueflare1.tga
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite

	{
		clampmap textures/lumos/blueflare1.tga
		tcMod stretch sin .8 0.2 0 .1
		tcmod rotate 120
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		clampmap textures/lumos/blueflare2.tga
		tcMod stretch sin .8 0.2 0 .2
		tcmod rotate -70
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/lumos/teleport_jaune
{
	qer_editorimage textures/lumos/teleport_jaune.tga
	{
		map textures/lumos/teleport_jaune.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/lumos/teleport_bleu.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}

textures/lumos/chaine
{
    qer_editorimage textures/lumos/chaine.tga
    cull none
    sort seeThrough
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks	

        {
		map textures/lumos/chaine.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
        }

	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/lumos/nolightmap_rouge
{
	qer_editorimage textures/lumos/rouge.tga
	surfaceparm nolightmap
	{
		map textures/lumos/rouge.tga
		rgbGen identity
	}
}

textures/lumos/nolightmap_jaune
{
	qer_editorimage textures/lumos/jaune.tga
	surfaceparm nolightmap
	{
		map textures/lumos/jaune.tga
		rgbGen identity
	}
}

textures/lumos/nolightmap_vert
{
	qer_editorimage textures/lumos/vert.tga
	surfaceparm nolightmap
	{
		map textures/lumos/vert.tga
		rgbGen identity
	}
}

textures/lumos/nolightmap_bleu
{
	qer_editorimage textures/lumos/bleu.tga
	surfaceparm nolightmap
	{
		map textures/lumos/bleu.tga
		rgbGen identity
	}
}

textures/lumos/flame
{

	//	*************************************************
	//	*      	Yellow Flame 				*
	//	*      	April 30 1999 Surface Light 7500	*	
	//	*	Please Comment Changes			*
	//	*	Change : less surfacelight		*
	//	*************************************************
	
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 5000
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ctf/ctf_arch_b_shiny
{      
     qer_editorimage textures/ctf/ctf_arch_b.tga
	   {
		map textures/ctf/ctf_arch_b.tga
                blendFunc GL_ONE GL_ZERO
		rgbGen identity
	} 
        {
                map textures/sfx/specular.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
                tcmod scale 10 10
                rgbGen identity
	}  
        {
		map textures/ctf/ctf_arch_b.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
         
}

textures/ctf/ctf_arch_r_shiny
{
	qer_editorimage textures/ctf/ctf_arch_r.tga      
        {
		map textures/ctf/ctf_arch_r.tga
                blendFunc GL_ONE GL_ZERO
		rgbGen identity
	} 
        {
                map textures/sfx/specular.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
                tcmod scale 10 10
                rgbGen identity
	}  
        {
		map textures/ctf/ctf_arch_r.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
         
}

textures/lumos/banner1
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
	{
		map textures/lumos/banner1.tga
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/lumos/banner2
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
	{
		map textures/lumos/banner2.tga
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/lumos/flag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
	{
		map textures/lumos/flag.tga
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}